#define LED_PIN 9
#define BUTTON_PIN 2

int lastButtonState = LOW;

void setup(){
  Serial.begin(9600);
  pinMode(LED_PIN, OUTPUT);
  pinMode(BUTTON_PIN, INPUT);
}

void loop(){
  int buttonState = digitalRead(BUTTON_PIN);
  if(buttonState != lastButtonState && buttonState == HIGH){
    Serial.println("on");
  }
  lastButtonState = buttonState;
  
  if(Serial.available()){
    String command = Serial.readStringUntil('\n');
    digitalWrite(LED_PIN, command == "on");
  }
  delay(50);
}
